%global pypi_name testpath

Name:           python-testpath
Version:        0.6.0
Release:        %mkrel 4
Group:          Development/Python
Summary:        Test utilities for code working with files and commands

License:        MIT
URL:            https://github.com/jupyter/testpath
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

# Tests:
BuildRequires:  python3-pytest

%description
Testpath is a collection of utilities for Python code working with files and
commands.

It contains functions to check things on the filesystem, and tools for mocking
system commands and recording calls to those.

%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        %summary
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Testpath is a collection of utilities for Python code working with files and
commands.

It contains functions to check things on the filesystem, and tools for mocking
system commands and recording calls to those.

%prep
%autosetup -n %{pypi_name}-%{version}

# The exe files are only needed on Microsoft Windows
rm -f %{pypi_name}/*.exe

#loosen flit_core reqs
sed -i -e '/^requires/s!\"\(flit_core\s*\).*\"!\"\1>=3.2\"!' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
sphinx-build doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%{__python3} -m pytest -v

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE
%doc html


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.6.0-4.mga10
+ Revision: 2239241
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.6.0-3.mga10
+ Revision: 2156009
- rebuild for python3.13

* Fri Dec 08 2023 wally <wally> 0.6.0-2.mga10
+ Revision: 2015652
- use pyproject rpm macros
- clean .spec a bit
- rebuild for py3.12

* Thu Sep 22 2022 neoclust <neoclust> 0.6.0-1.mga9
+ Revision: 1891405
- New version  0.6.0

* Tue Mar 29 2022 umeabot <umeabot> 0.4.4-4.mga9
+ Revision: 1832717
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 0.4.4-3.mga9
+ Revision: 1781660
- revert to version 0.4.4 (0.5.0 fails build)
- rebuild for python-3.10
- version 0.5.0
- rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.4.4-2.mga9
+ Revision: 1703505
- rebuild for python 3.9

* Wed Jun 10 2020 daviddavid <daviddavid> 0.4.4-1.mga8
+ Revision: 1591654
- new version: 0.4.4

* Sun Feb 16 2020 umeabot <umeabot> 0.3.1-5.mga8
+ Revision: 1532694
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.3.1-4.mga8
+ Revision: 1442677
- BR python3-pytest for testsuite
- run testsuite
- fix build
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 0.3.1-3.mga7
+ Revision: 1352042
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.3.1-2.mga7
+ Revision: 1290396
- Mageia 7 Mass Rebuild

* Tue Aug 15 2017 philippem <philippem> 0.3.1-1.mga7
+ Revision: 1140995
- imported package python-testpath

